/* DEFINICION POR ETIQUETA  prioridad 3*/
body {

    font-family: Arial, sans-serif;
    background-color: #f8f8f8;
    padding: 20px;
}

h2{
    background-color: #4589d1; /* Color de fondo celeste */
    color: #fff; /* Color del texto blanco */
    padding: 15px; /* Relleno interno */
    border-radius: 8px 8px 0 0; /* Bordes redondeados solo en la parte superior */
    margin: auto;
    max-width: 500px;
    /* height: ; */
}

form{

    max-width: 500px;
    margin: 0 auto;
    padding: 30px;
    border-radius: 10px;
}

label{
    margin-bottom: 8px;
    display:block;
    
}

input[type="text"],
input[type="password"],
textarea,
select{

    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 4px;

}

input[type="radio"],
input[type="checkbox"] {
    margin-right: 10px;
}

/* DEFINICION POR CLASE ( con punto "." adelante) prioridad 2 */
.form-section {

    /* background-color: rgb(255, 3, 3, 0.3); */

    padding: 20px;

    color: #143614;



}

/* DEFINICION POR ID (con numeral "#" adelante) prioridad 1 */

h4 {

    color: chocolate;
}

.red {

    color: red;

}

#violeta {

    color: violet;
}

button:hover {
    background-color: #0056b3;
}

/* Estilos para género en una misma línea */
.gender-container {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

.gender-container label {
    margin-right: 10px;
}

.gender-container input[type="radio"] {
    margin-right: 5px;
}

/* Estilos para checkboxes en una misma línea */
.checkbox-container {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

.checkbox-container label {
    margin-right: 10px;
}

.checkbox-container input[type="checkbox"] {
    margin-right: 5px;
}


/* Responsive styles */
@media (max-width: 600px) {
    form {
        padding: 20px;
    }
}

.caja{

    min-height: 300px;
    min-width: 300px;

    background-color: blue;
    margin: 10px;
  }

  .contenedor{

    background-color: aqua;

    display: flex;


    justify-content: center;

  }

  .contenedor div{

    color: blanchedalmond;

    font-weight: bolder;

    font-size: 20px;


  }

  /* .mi-texto{

    
  } */

  .verde{

    background-color: green;
  }

  .center{

    display: flex;

    align-items: center;

    justify-content: center;


  }

  .negrita{

    font-weight: bold;
  }

  th, td {
    border: 1px solid black;
    border-radius: 10px;
  }